All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
uhd::spi_config_t Struct Reference

`#include <serial.hpp>`

## Public Types

enum | edge_t { EDGE_RISE = 'r', EDGE_FALL = 'f' }

## Public Member Functions

| spi_config_t (edge_t edge=EDGE_RISE)

## Public Attributes

edge_t | mosi_edge
| on what edge is the mosi data valid? More...
edge_t | miso_edge
| on what edge is the miso data valid? More...

## Detailed Description

The SPI configuration struct: Used to configure a SPI transaction interface.

## Member Enumeration Documentation

enum uhd::spi_config_t::edge_t

The edge type specifies when data is valid relative to the edge of the serial clock.

Enumerator
EDGE_RISE |
EDGE_FALL |

## Constructor & Destructor Documentation

uhd::spi_config_t::spi_config_t | ( | edge_t | edge = `EDGE_RISE` | ) |

Create a new spi config.

Parameters

  edge | the default edge for mosi and miso

## Member Data Documentation

edge_t uhd::spi_config_t::miso_edge

on what edge is the miso data valid?

edge_t uhd::spi_config_t::mosi_edge

on what edge is the mosi data valid?

The documentation for this struct was generated from the following file:

- include/uhd/types/serial.hpp